/* -----------------------------------------------
 * Timeline
 * --------------------------------------------- */
.timeline {
    list-style: none;
    padding: 10px 0;
    position: relative;
    font-weight: 300;
    max-width: 1000px;
    margin: 0 auto;
}
.timeline:before {
    top: 0;
    bottom: 0;
    position: absolute;
    content: ' ';
    width: 2px;
    background: #ddd;
    left: 50%;
    margin-left: -1.5px;
}
.timeline > li {
    margin-bottom: 40px;
    position: relative;
    width: 50%;
    float: left;
    clear: left;
    text-align: right;
}
.timeline > li:before,
.timeline > li:after {
    content: ' ';
    display: table;
}
.timeline > li:after {
    clear: both;
}
.timeline > li:before,
.timeline > li:after {
    content: ' ';
    display: table;
}
.timeline > li:after {
    clear: both;
}
.timeline > li > .timeline-panel {
    width: calc(100% - 25px);
    width: -moz-calc(100% - 25px);
    width: -webkit-calc(100% - 25px);
    float: left;
    border: 1px solid #dcdcdc;
    background: #ffffff;
    position: relative;
    border-radius: 5px;
}
.timeline > li > .timeline-panel:before {
    position: absolute;
    top: 26px;
    right: -15px;
    display: inline-block;
    border-top: 15px solid transparent;
    border-left: 15px solid #dcdcdc;
    border-right: 0 solid #dcdcdc;
    border-bottom: 15px solid transparent;
    content: ' ';
}
.timeline > li > .timeline-panel:after {
    position: absolute;
    top: 27px;
    right: -14px;
    display: inline-block;
    border-top: 14px solid transparent;
    border-left: 14px solid #ffffff;
    border-right: 0 solid #ffffff;
    border-bottom: 14px solid transparent;
    content: ' ';
}
.timeline > li > .timeline-badge {
    color: #ffffff;
    width: 24px;
    height: 24px;
    line-height: 50px;
    text-align: center;
    position: absolute;
    top: 16px;
    right: -11px;
    z-index: 100;
}
.timeline > li.timeline-inverted > .timeline-panel {
    float: right;
    text-align: left;
}
.timeline > li.timeline-inverted > .timeline-panel:before {
    border-left-width: 0;
    border-right-width: 15px;
    left: -15px;
    right: auto;
}
.timeline > li.timeline-inverted > .timeline-panel:after {
    border-left-width: 0;
    border-right-width: 14px;
    left: -14px;
    right: auto;
}
.timeline-badge > a {
    color: #ffffff;
    display: inline-block;
    width: 6px;
    height: 6px;
    background-color: #ccc;
    border-radius: 100px;
    border: 3px solid #fff;
}
.timeline > li:hover .timeline-badge a {
    background-color: #175eee;
}
.timeline-title {
    margin-top: 0;
    color: inherit;
}
.timeline-content {
    padding: 24px;
    margin-bottom: 0;
    box-shadow: 0 0 10px #ddd;
}
.timeline-content-y {
    font-size: 2rem;
}
.timeline-content-m {
    font-size: 1.8rem;
}
.timeline-block{
    display: block;
    margin-top: 12px;
}
.timeline-block img{
    width: 100%;
    max-width: 360px;
    margin-top: 5px;
}

.timeline > li.timeline-inverted {
    float: right;
    clear: right;
}
.timeline > li:nth-child(2) {
    margin-top: 60px;
}
.timeline > li.timeline-inverted > .timeline-badge {
    left: -13px;
}
.no-float {
    float: none !important;
}
@media (max-width: 767px) {
    ul.timeline:before {
        left: 40px;
    }
    ul.timeline > li {
        margin-bottom: 0px;
        position: relative;
        width: 100%;
        float: left;
        clear: left;
        text-align: left;
    }
    ul.timeline > li > .timeline-panel {
        width: calc(100% - 65px);
        width: -moz-calc(100% - 65px);
        width: -webkit-calc(100% - 65px);
    }
    ul.timeline > li > .timeline-badge {
        left: 27px;
        margin-left: 0;
        top: 16px;
    }
    ul.timeline > li > .timeline-panel {
        float: right;
    }
    ul.timeline > li > .timeline-panel:before {
        border-left-width: 0;
        border-right-width: 15px;
        left: -15px;
        right: auto;
    }
    ul.timeline > li > .timeline-panel:after {
        border-left-width: 0;
        border-right-width: 14px;
        left: -14px;
        right: auto;
    }
    .timeline > li.timeline-inverted {
        float: left;
        clear: left;
        margin-top: 30px;
        margin-bottom: 30px;
    }
    .timeline > li.timeline-inverted > .timeline-badge {
        left: 27px;
    }
}
